LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XEmfParser Interface Reference

XEmfParser interface. More...

`import <XEmfParser.idl;`

Inheritance diagram for XEmfParser:

## Public Member Functions
sequence< XPrimitive2D > | getDecomposition ([in] io::XInputStream xEmfStream, [in] string aAbsolutePath, [in] ::com::sun::star::beans::PropertyValues Properties)
| Retrieve decomposed list of simpler primitives.
void | setSizeHint ([in] com::sun::star::geometry::RealPoint2D Size)
| Sets a size hint on this object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

XEmfParser interface.

This interface allows to parse a WMF/EMF/EMF+ stream in form of a sequence of bytes to be parsed into a sequence of XPrimitive2Ds

Since
  LibreOffice 6.0

## Member Function Documentation

## ◆ getDecomposition()

sequence< XPrimitive2D > getDecomposition | ( | [in] io::XInputStream | xEmfStream,
|  | [in] string | aAbsolutePath,
|  | [in] ::com::sun::star::beans::PropertyValues | Properties )

Retrieve decomposed list of simpler primitives.

Parameters

  xEmfStream | The file containing the WMF/EMF/EMF+ binary data
  aAbsolutePath | The path containing the WMF/EMF/EMF+ data
  Properties | Optional values to override MapMode and size

## ◆ setSizeHint()

void setSizeHint | ( | [in] com::sun::star::geometry::RealPoint2D | Size | ) |

Sets a size hint on this object.

Parameters

  Size | the size in 100/th mm

Since
  LibreOffice 7.1

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XEmfParser.idl